' === TankBotRemote.bas ========= 2008.10.15 ========= Ron Hackett ===

'	This program runs on the SERVO Magazine Alpha Brain TankBot kit.
'	It transforms the TankBot into an IR Remote-Controlled vehicle.


' === Constants =======

	symbol IRin =   3			' IR detector on  input 3
	symbol motR =   4			' Right Motor on output 4
	symbol motL =   5			'  Left Motor on output 5
	 	
	symbol  fdL = 183			' for my  left servo, 133+50=183
	symbol  bkL =  83			' for my  left servo, 133-50= 83
	symbol  fdR =  83			' for my right servo, 133-50= 83
	symbol  bkR = 183			' for my right servo, 133+50=183


' === Directives ======

	#com1					' specify com port
	#picaxe 14M				' specify PICAXE processor
	
	
' === Begin Main Program =============================================

	do	
	  infrain2				' get new IR command
	  
	  low motL				' stop before changing direction
	  low motR				' to reduce strain on servos
	  pause 200
	  
	  select case infra		' execute received IR command
	     case 1 			' keypress = 2, so go forward
	        servo motL, fdL
	        servo motR, fdR	  
	     case 3 			' keypress = 4, so turn left
	        servo motL, bkL
	        servo motR, fdR	  	  
	     case 5 			' keypress = 6, so turn right
	        servo motL, fdL
	        servo motR, bkR	  	  
	     case 7 			' keypress = 8, so go in reverse
	        servo motL, bkL
	        servo motR, bkR	  
	     case 4 			' keypress = 5, so do nothing	  
	  endselect				' (TankBot is already stopped.)

	loop					' loop forever



